MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026916Open CASCADE[OCCT] OCCT:Configurationpublic2015-11-23 14:482016-04-20 15:50
Reporteribs 
Assigned Toabv 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSLinuxOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026916: Configuration, CMake - configure variables to customize installation path separately for executables, libraries and resources
DescriptionThere is the need to introduce configure variables to customize installation path separately for executables, libraries and resources:

7.0.0 version is not hardcoded and provided as an example.

executables - <prefix>/bin
scripts - <prefix>/bin/opencascade-7.0.0

libraries - <prefix>/lib

headers - <prefix>/include/opencascade-7.0.0

resources - <prefix>/share/opencascade-7.0.0/resources
docs - <prefix>/share/opencascade-7.0.0/doc
data - <prefix>/share/opencascade-7.0.0/data
samples - <prefix>/share/opencascade-7.0.0/samples
tests - <prefix>/share/opencascade-7.0.0/tests
test res - <prefix>/share/opencascade-7.0.0/results

each executable, sample and library has corresponding OCC version.
includes and scripts are put in folders with corresponding OCC version.
TagsNo tags attached.
Test case number
Attached Files

- Relationships
parent of 0027044closedbugmaster Open CASCADE Configuration, CMake - configure variables to customize pathes for OCCT executables, libraries and resources 
parent of 0027062closedabv Community Misspelling of resources install path in CMakeLists.txt 
parent of 0027233closedkgv Open CASCADE Configuration - do not include version in SONAME for Android target 
has duplicate 0026887closedbugmaster Open CASCADE Configuration, Cmake - the structure of OCCT package is unusual on *nix-based OS 
related to 0027165closedbugmaster Open CASCADE Configuration, CMake - add an option to choose a variant of the theme of the install paths 

-  Notes
(0049458)
git (administrator)
2015-12-22 15:49

Branch CR26916 has been created by ibs.

SHA-1: b96326dc919a4657095b6bd9bdeb34d69413b0c5


Detailed log of new commits:

Author: ibs
Date: Tue Dec 22 14:47:57 2015 +0300

    unix scripts updated

Author: ibs
Date: Tue Dec 22 12:55:57 2015 +0300

    0026916: Configuration, CMake - configure variables to customize installation path separately for executables, libraries and resources
(0049461)
git (administrator)
2015-12-22 15:59

Branch CR26916 has been updated forcibly by ibs.

SHA-1: 2f5508342354ad0c34f75bff615d7adc4ddb04fb
(0049464)
git (administrator)
2015-12-22 16:17

Branch CR26916 has been updated forcibly by ibs.

SHA-1: 7ba0a20c459f35adff41d83ea6312ac94ee35cc6
(0049511)
git (administrator)
2015-12-23 15:07

Branch CR26916 has been updated by ibs.

SHA-1: 95588db8937b1fb6def3ef86ad3bda305e0fcbbb


Detailed log of new commits:

Author: ibs
Date: Wed Dec 23 10:20:31 2015 +0300

    change the structure of binaries for unix

(0049513)
git (administrator)
2015-12-23 15:30

Branch CR26916 has been updated forcibly by ibs.

SHA-1: bbec323d5f792d1d0da3077bd63ff6ef4865d688
(0049515)
git (administrator)
2015-12-23 15:33

Branch CR26916 has been updated forcibly by ibs.

SHA-1: 0c347159e266ac9504d51e6b49f278c9256f315d
(0049524)
git (administrator)
2015-12-23 16:25

Branch CR26916 has been updated forcibly by ibs.

SHA-1: 27b0090d1d5e3efabdded8e3aa29f8af3c720471
(0049529)
git (administrator)
2015-12-23 17:25

Branch CR26916 has been updated forcibly by ibs.

SHA-1: 95049fecb81ae36215cf41d11fcc17175f85814f
(0049530)
git (administrator)
2015-12-23 17:43

Branch CR26916 has been updated forcibly by ibs.

SHA-1: 579857037568c65e3bde7d557edbfbd5e020ed64
(0049539)
git (administrator)
2015-12-23 18:07

Branch CR26916 has been updated forcibly by ibs.

SHA-1: a303ff52947d51aeb1d444f01d236541b74b7fbb
(0049541)
ibs (developer)
2015-12-23 18:11
edited on: 2015-12-23 18:16

to generate documentation on Ubuntu it is required to install two packages:
sudo apt-get install doxygen graphviz

(0049548)
git (administrator)
2015-12-24 11:38

Branch CR26916 has been updated by ibs.

SHA-1: 48452fd731c31fe80e9aed52b0724c9d51acad36


Detailed log of new commits:

Author: ibs
Date: Thu Dec 24 11:38:46 2015 +0300

    OCCT_RESOURCE_PATH env variable is used

(0049556)
git (administrator)
2015-12-24 13:17

Branch CR26916 has been updated by ibs.

SHA-1: a56ce31ce17481192d2b82632bcc09c394b78e55


Detailed log of new commits:

Author: ibs
Date: Thu Dec 24 13:17:06 2015 +0300

    misprints fixed

(0049557)
git (administrator)
2015-12-24 13:24

Branch CR26916 has been updated forcibly by ibs.

SHA-1: 1c0a35af7164ad8f44b6e7a348d4c79c99b90a2e
(0049559)
git (administrator)
2015-12-24 13:57

Branch CR26916 has been updated forcibly by ibs.

SHA-1: fbda1bac288768566e77c30e6231b62f2e95bd2a
(0049563)
git (administrator)
2015-12-24 14:18

Branch CR26916 has been updated forcibly by ibs.

SHA-1: d0c68a95c239f7c5dac2cec5718bea0fe6b38276
(0049564)
git (administrator)
2015-12-24 14:22

Branch CR26916 has been updated forcibly by ibs.

SHA-1: fccad9700b594251dee95acd7e588c89d0dab283
(0049571)
git (administrator)
2015-12-24 15:54

Branch CR26916 has been updated forcibly by ibs.

SHA-1: 2e352ca71116a7c82c7ee30f5e097c09c5bc8344
(0049576)
git (administrator)
2015-12-24 16:15

Branch CR26916 has been updated forcibly by ibs.

SHA-1: 94fb2d92a93f084bdfb54a3f517b79155bd0f543
(0049579)
git (administrator)
2015-12-24 18:26

Branch CR26916 has been updated by ibs.

SHA-1: 2c815d984f0111e0720b312f932dcbceb551d2ed


Detailed log of new commits:

Author: ibs
Date: Thu Dec 24 18:22:35 2015 +0300

    INSTALL_DIR is synced with CMAKE_INSTALL_PREFIX . Change of any of these vars resets the structure of the install folder

(0052950)
git (administrator)
2016-04-17 13:46

Branch CR26916 has been deleted by kgv.

SHA-1: 2c815d984f0111e0720b312f932dcbceb551d2ed

- Related Changesets
occt: master 096ef695
Timestamp: 2015-12-22 09:55:57
Author: abv
Committer: abv
Details ] Diff ]
0026916: Configuration, CMake - configure variables to customize installation path separately for executables, libraries and resources

change the structure of binaries for unix
OCCT_RESOURCE_PATH env variable is used
mod - adm/cmake/3rdparty_macro.cmake Diff ] File ]
mod - adm/cmake/freetype.cmake Diff ] File ]
mod - adm/cmake/occt_macros.cmake Diff ] File ]
mod - adm/cmake/occt_toolkit.cmake Diff ] File ]
mod - adm/cmake/tbb.cmake Diff ] File ]
mod - adm/cmake/tcl.cmake Diff ] File ]
mod - adm/cmake/tk.cmake Diff ] File ]
mod - adm/templates/custom.install.sh.in Diff ] File ]
mod - adm/templates/draw.sh Diff ] File ]
mod - adm/templates/env.install.bat.in Diff ] File ]
mod - adm/templates/env.install.sh.in Diff ] File ]
mod - CMakeLists.txt Diff ] File ]
mod - dox/CMakeLists.txt Diff ] File ]
mod - src/DrawResources/DrawDefault Diff ] File ]
mod - src/DrawResources/DrawTK.tcl Diff ] File ]
mod - src/DrawResources/TestCommands.tcl Diff ] File ]
mod - src/DrawResources/TKTopTest.tcl Diff ] File ]
mod - src/MAT2d/MAT2d_Tool2d.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-11-23 14:48 ibs New Issue
2015-11-23 14:48 ibs Assigned To => ibs
2015-12-22 10:53 ibs OS L => Linux
2015-12-22 10:53 ibs OS Version L =>
2015-12-22 10:53 ibs Platform A =>
2015-12-22 10:53 ibs Description Updated View Revisions
2015-12-22 15:49 git Note Added: 0049458
2015-12-22 15:59 git Note Added: 0049461
2015-12-22 16:17 git Note Added: 0049464
2015-12-23 13:19 ibs Description Updated View Revisions
2015-12-23 15:07 git Note Added: 0049511
2015-12-23 15:30 git Note Added: 0049513
2015-12-23 15:33 git Note Added: 0049515
2015-12-23 16:25 git Note Added: 0049524
2015-12-23 17:25 git Note Added: 0049529
2015-12-23 17:43 git Note Added: 0049530
2015-12-23 17:47 ibs Description Updated View Revisions
2015-12-23 18:07 git Note Added: 0049539
2015-12-23 18:11 ibs Note Added: 0049541
2015-12-23 18:14 ibs Description Updated View Revisions
2015-12-23 18:16 ibs Note Edited: 0049541 View Revisions
2015-12-24 11:38 git Note Added: 0049548
2015-12-24 13:17 git Note Added: 0049556
2015-12-24 13:24 git Note Added: 0049557
2015-12-24 13:57 git Note Added: 0049559
2015-12-24 14:18 git Note Added: 0049563
2015-12-24 14:22 git Note Added: 0049564
2015-12-24 15:54 git Note Added: 0049571
2015-12-24 16:15 git Note Added: 0049576
2015-12-24 16:17 ibs Description Updated View Revisions
2015-12-24 16:26 ibs Description Updated View Revisions
2015-12-24 16:30 ibs Assigned To ibs => rnv
2015-12-24 16:30 ibs Status new => resolved
2015-12-24 16:30 ibs Steps to Reproduce Updated View Revisions
2015-12-24 18:26 git Note Added: 0049579
2015-12-25 12:07 ibs Relationship added has duplicate 0026887
2015-12-25 19:04 abv Changeset attached => occt master 096ef695
2015-12-25 19:04 abv Assigned To rnv => abv
2015-12-25 19:04 abv Status resolved => verified
2015-12-25 19:04 abv Resolution open => fixed
2015-12-25 19:24 abv Target Version Unscheduled => 7.0.0
2015-12-28 17:04 ibs Relationship added parent of 0027044
2016-01-06 12:40 kgv Relationship added parent of 0027062
2016-02-16 16:35 ibs Steps to Reproduce Updated View Revisions
2016-02-16 16:49 ibs Relationship added related to 0027165
2016-03-05 16:07 kgv Relationship added parent of 0027233
2016-04-17 13:46 git Note Added: 0052950
2016-04-20 15:43 aiv Fixed in Version => 7.0.0
2016-04-20 15:50 aiv Status verified => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker